using Terraria.ID;
using Terraria.ModLoader;

namespace cosmichorror.Items
{
	public class godslayer : ModItem
	{
		public override void SetStaticDefaults()
		{
			DisplayName.SetDefault("godslayer");
			Tooltip.SetDefault("a sword crafted by the old ones and built to kill azoth.");
		}
		public override void SetDefaults()
		{
			item.damage = 350000;
			item.melee = true;
			item.width = 300;
			item.height = 400;
			item.useTime = 10;
			item.useAnimation = 10;
			item.useStyle = 1;
			item.knockBack = 60;
			item.value = 100000000;
			item.rare = 2;
			item.UseSound = SoundID.Item1;
			item.autoReuse = true;
		}

		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(ItemID.zenith, 1);
			recipe.AddIngredient(ItemID.luminite_bar, 50);
			recipe.AddIngredient(ItemID.souls_of_light, 100);
			recipe.AddIngredient(ItemID.souls_of_night, 100);
			recipe.AddTile(TileID.ancient manipulator);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
	}
}
